## libept 1.1+nmu3build1

=== tools/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} 
                     ${TAGCOLL_INCLUDE_DIRS} ${WIBBLE_INCLUDE_DIRS} )
add_definitions( --std=c++11 )
link_libraries( ept )

add_executable( ept-cat ept-cat.cpp )
add_executable( pkglist pkglist.cpp )

set( bindir ${CMAKE_CURRENT_BINARY_DIR} )
set( srcdir ${CMAKE_CURRENT_SOURCE_DIR} )

=== debian/control ===
Source: libept
Section: libdevel
Priority: optional
Maintainer: Enrico Zini <enrico@debian.org>
Uploaders: Petr Rockai <mornfall@debian.org>
Build-Depends:
  debhelper (>= 9), dh-exec, dh-buildinfo,
  cmake (>= 2.6), pkg-config, doxygen,
  libapt-pkg-dev (>= 1.1~),
  libxapian-dev (>= 1.2.21-1.2)
Standards-Version: 3.9.6.0
Vcs-Git: git://git.debian.org/git/debtags/libept.git
Vcs-Browser: http://git.debian.org/?p=debtags/libept.git

Package: libept-dev
Section: libdevel
Architecture: any
Recommends: pkg-config
Depends:
  libept1.5.0 (= ${binary:Version}),
  libapt-pkg-dev (>= 1.0.10), libxapian-dev (>= 1.2.21-1.2), ${misc:Depends}
Description: High-level library for managing Debian package information
 The library defines a very minimal framework in which many sources of data
 about Debian packages can be implemented and queried together.
 .
 The library includes four data sources:
 .
  * APT: access the APT database
  * Debtags: access the Debtags tag information
  * Popcon: access Popcon package scores
  * The Xapian index built by apt-xapian-index
 .
 This is the development library.

Package: libept1.5.0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libept1.4.16 (= 1.0.14+b2)
Breaks: libept1.4.16 (= 1.0.14+b2)
Description: High-level library for managing Debian package information
 The library defines a very minimal framework in which many sources of data
 about Debian packages can be implemented and queried together.
 .
 The library includes four data sources:
 .
  * APT: access the APT database
  * Debtags: access the Debtags tag information
  * Popcon: access Popcon package scores
  * The Xapian index built by apt-xapian-index
 .
 This is the shared library.

## libept 1.1+nmu3ubuntu1

=== debian/changelog ===
libept (1.1+nmu3ubuntu1) eoan; urgency=medium

  * Port to apt 1.9.0

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 17 Jun 2019 17:55:32 +0200

libept (1.1+nmu3build2) eoan; urgency=high

  * No change rebuild against apt 1.9.0.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 17 Jun 2019 13:09:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: libept
 Section: libdevel
 Priority: optional
-Maintainer: Enrico Zini <enrico@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Enrico Zini <enrico@debian.org>
 Uploaders: Petr Rockai <mornfall@debian.org>
 Build-Depends:
   debhelper (>= 9), dh-exec, dh-buildinfo,
   cmake (>= 2.6), pkg-config, doxygen,
-  libapt-pkg-dev (>= 1.1~),
+  libapt-pkg-dev (>= 1.9~),
   libxapian-dev (>= 1.2.21-1.2)
 Standards-Version: 3.9.6.0
 Vcs-Git: git://git.debian.org/git/debtags/libept.git
@@ -17,7 +18,7 @@
 Architecture: any
 Recommends: pkg-config
 Depends:
-  libept1.5.0 (= ${binary:Version}),
+  libept1.5.90 (= ${binary:Version}),
   libapt-pkg-dev (>= 1.0.10), libxapian-dev (>= 1.2.21-1.2), ${misc:Depends}
 Description: High-level library for managing Debian package information
  The library defines a very minimal framework in which many sources of data
@@ -32,7 +33,7 @@
  .
  This is the development library.
 
-Package: libept1.5.0
+Package: libept1.5.90
 Section: libs
 Architecture: any
 Multi-Arch: same

## libept 1.1+nmu3ubuntu3

=== ept/CMakeLists.txt ===
project( ept )

# Find sources and tests
file(GLOB src *.cpp debtags/*.cc debtags/maint/*.cc debtags/coll/*.cc apt/*.cc axi/*.cc utils/*.cc)
file(GLOB tests *-test.cc apt/*-test.cc debtags/*-test.cc axi/*-test.cc)
list(REMOVE_ITEM src ${tests})

# Find headers
file( GLOB h_top *.h )
file( GLOB h_apt apt/*.h )
file( GLOB h_debtags debtags/*.h )
file( GLOB h_debtags_maint debtags/maint/*.h )
file( GLOB h_debtags_coll debtags/coll/*.h )
file( GLOB h_axi axi/*.h )
file( GLOB h_utils utils/*.h )

#file( GLOB debtagstesth debtags/*.test.h debtags/maint/*.test.h )
#file( GLOB apttesth apt/*.test.h )
#file( GLOB axitesth axi/*.test.h )
#set( testh ${debtagstesth} ${apttesth} ${axitesth} )

include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} 
                     ${TAGCOLL_INCLUDE_DIRS} ${WIBBLE_INCLUDE_DIRS} )
link_libraries( ${WIBBLE_LIBRARIES} ${TAGCOLL_LIBRARIES} apt-pkg xapian -lpthread )
add_definitions( --std=c++11 -fexceptions -fPIC -fvisibility=default )

add_library( ept SHARED ${src} )
add_library( ept-static STATIC ${src} )
set_target_properties( ept PROPERTIES SOVERSION ${LIBEPT_SOVERSION} CLEAN_DIRECT_OUTPUT 1)
set_target_properties( ept-static PROPERTIES SOVERSION ${LIBEPT_SOVERSION} OUTPUT_NAME "ept" CLEAN_DIRECT_OUTPUT 1)

add_executable(test-ept EXCLUDE_FROM_ALL utils/tests-main.cc ${tests})
target_link_libraries(test-ept ept)
add_test(test-ept test-ept)
add_dependencies(check test-ept)

configure_file( ${ept_SOURCE_DIR}/config.h.cmake-in
  ${ept_BINARY_DIR}/config.h )

set( prefix "${CMAKE_INSTALL_PREFIX}" )
set( exec_prefix "${prefix}/bin" )
set( libdir "${prefix}/lib" )
set( includedir "${prefix}/include" )
configure_file( ${ept_SOURCE_DIR}/libept.pc.in
  ${ept_BINARY_DIR}/libept.pc @ONLY )

# regression testing
link_directories( ${CMAKE_CURRENT_BINARY_DIR}/../lib )
link_libraries( ept )

install( TARGETS ept ept-static
    LIBRARY DESTINATION lib/${CMAKE_LIBRARY_ARCHITECTURE}
    ARCHIVE DESTINATION lib/${CMAKE_LIBRARY_ARCHITECTURE} )

install( FILES ${ept_BINARY_DIR}/libept.pc DESTINATION lib/${CMAKE_LIBRARY_ARCHITECTURE}/pkgconfig )
install( FILES ${h_top} DESTINATION include/ept )
install( FILES ${h_apt} DESTINATION include/ept/apt )
install( FILES ${h_debtags} DESTINATION include/ept/debtags )
install( FILES ${h_debtags_maint} DESTINATION include/ept/debtags/maint )
install( FILES ${h_debtags_coll} DESTINATION include/ept/debtags/coll )
install( FILES ${h_axi} DESTINATION include/ept/axi )
install( FILES ${h_utils} DESTINATION include/ept/utils )

=== debian/changelog ===
libept (1.1+nmu3ubuntu3) focal; urgency=medium

  * Swap operands for operator+(T*,map_pointer<T>) calls

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 27 Feb 2020 09:10:38 +0100

libept (1.1+nmu3ubuntu2) focal; urgency=medium

  * Build against libapt-pkg6.0

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 26 Feb 2020 21:44:55 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
   debhelper (>= 9), dh-exec, dh-buildinfo,
   cmake (>= 2.6), pkg-config, doxygen,
-  libapt-pkg-dev (>= 1.9~),
+  libapt-pkg-dev (>= 1.9.11~),
   libxapian-dev (>= 1.2.21-1.2)
 Standards-Version: 3.9.6.0
 Vcs-Git: git://git.debian.org/git/debtags/libept.git
@@ -18,7 +18,7 @@
 Architecture: any
 Recommends: pkg-config
 Depends:
-  libept1.5.90 (= ${binary:Version}),
+  libept1.6.0 (= ${binary:Version}),
   libapt-pkg-dev (>= 1.0.10), libxapian-dev (>= 1.2.21-1.2), ${misc:Depends}
 Description: High-level library for managing Debian package information
  The library defines a very minimal framework in which many sources of data
@@ -33,7 +33,7 @@
  .
  This is the development library.
 
-Package: libept1.5.90
+Package: libept1.6.0
 Section: libs
 Architecture: any
 Multi-Arch: same

## libept 1.1+nmu4

=== debian/changelog ===
libept (1.1+nmu4) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 14:35:59 +0800

## libept 1.2

=== debian/changelog ===
libept (1.2) unstable; urgency=medium

  * Upload to unstable

 -- Julian Andres Klode <jak@debian.org>  Sat, 07 Mar 2020 21:29:22 +0100

libept (1.2~exp1) experimental; urgency=medium

  * APT team adopts libept (Closes: #813207)
  * Port to apt 1.9.0
  * Build against libapt-pkg6.0
  * apt 1.9.11 API: Swap operands for operator+(T*,map_pointer<T>) calls

 -- Julian Andres Klode <jak@debian.org>  Sat, 07 Mar 2020 12:42:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: libept
 Section: libdevel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Enrico Zini <enrico@debian.org>
-Uploaders: Petr Rockai <mornfall@debian.org>
+Maintainer: APT Development Team <deity@lists.debian.org>
+Uploaders: Julian Andres Klode <jak@debian.org>
 Build-Depends:
   debhelper (>= 9), dh-exec, dh-buildinfo,
   cmake (>= 2.6), pkg-config, doxygen,
   libapt-pkg-dev (>= 1.9.11~),
   libxapian-dev (>= 1.2.21-1.2)
 Standards-Version: 3.9.6.0
-Vcs-Git: git://git.debian.org/git/debtags/libept.git
-Vcs-Browser: http://git.debian.org/?p=debtags/libept.git
+Vcs-Git: https://salsa.debian.org/apt-team/libept.git
+Vcs-Browser: https://salsa.debian.org/apt-team/libept
 
 Package: libept-dev
 Section: libdevel

## libept 1.2.1

=== debian/changelog ===
libept (1.2.1) unstable; urgency=medium

  * Fix FTBFS with GCC 10 (Closes: #957434)
  * Bump Standards-Version to 4.5.1
  * Bump debhelper-compat 13

 -- Julian Andres Klode <jak@debian.org>  Sun, 03 Jan 2021 10:26:08 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Julian Andres Klode <jak@debian.org>
 Build-Depends:
-  debhelper (>= 9), dh-exec, dh-buildinfo,
+  debhelper-compat (= 13), dh-exec, dh-buildinfo,
   cmake (>= 2.6), pkg-config, doxygen,
   libapt-pkg-dev (>= 1.9.11~),
   libxapian-dev (>= 1.2.21-1.2)
-Standards-Version: 3.9.6.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/apt-team/libept.git
 Vcs-Browser: https://salsa.debian.org/apt-team/libept

=== debian/rules ===
#!/usr/bin/make -f

BUILDDIR = $(CURDIR)/debian/build

%:
	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR)

override_dh_fixperms:
	dh_fixperms
	test -e /usr/bin/dh_buildinfo && dh_buildinfo

override_dh_auto_build:
	dh_auto_build
	make -C $(BUILDDIR) check
	make -C $(BUILDDIR) doc

override_dh_auto_install:
	dh_auto_install
	dh_installdocs -plibept-dev -n $(BUILDDIR)/doc/html
	dh_installdocs -plibept-dev -n $(BUILDDIR)/doc/libept.doxytags

debsrc:
	debian/check_versions
	gbp buildpackage --git-pristine-tar -S -us -uc

## libept 1.2.1deepin0

=== debian/changelog ===
libept (1.2.1deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 19 Sep 2024 22:53:46 +0800

## libept 1.2.1+nmu1

=== debian/changelog ===
libept (1.2.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062280

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 11:40:13 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Julian Andres Klode <jak@debian.org>
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
   debhelper-compat (= 13), dh-exec, dh-buildinfo,
   cmake (>= 2.6), pkg-config, doxygen,
   libapt-pkg-dev (>= 1.9.11~),
@@ -17,7 +17,7 @@
 Architecture: any
 Recommends: pkg-config
 Depends:
-  libept1.6.0 (= ${binary:Version}),
+  libept1.6.0t64 (= ${binary:Version}),
   libapt-pkg-dev (>= 1.0.10), libxapian-dev (>= 1.2.21-1.2), ${misc:Depends}
 Description: High-level library for managing Debian package information
  The library defines a very minimal framework in which many sources of data
@@ -32,13 +32,14 @@
  .
  This is the development library.
 
-Package: libept1.6.0
+Package: libept1.6.0t64
+Provides: ${t64:Provides}
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libept1.4.16 (= 1.0.14+b2)
-Breaks: libept1.4.16 (= 1.0.14+b2)
+Replaces: libept1.6.0, libept1.4.16 (= 1.0.14+b2)
+Breaks: libept1.6.0 (<< ${source:Version}), libept1.4.16 (= 1.0.14+b2)
 Description: High-level library for managing Debian package information
  The library defines a very minimal framework in which many sources of data
  about Debian packages can be implemented and queried together.

## libept 1.2.1+nmu1build1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)

include( FindPkgConfig )
include( FindDoxygen )

add_custom_target(check COMMAND ${CMAKE_SOURCE_DIR}/run-check ${CMAKE_BINARY_DIR}/ept/test-ept)

set( EPT_VERSION "1.1" )

# Get the soversion from libapt-pkg to include in our own
execute_process(
	COMMAND "cc" "-xc" "-shared" "-Wl,--no-as-needed" "/dev/null" "-lapt-pkg"
	)
execute_process(
	COMMAND "objdump" "-p" "a.out"
	COMMAND "awk" "/NEEDED.*libapt-pkg/ { sub(\".*\\\\.so\\\\.\", \"\"); print }"
	OUTPUT_VARIABLE LIBAPT_ABI_VERSION
	OUTPUT_STRIP_TRAILING_WHITESPACE
	)
set( LIBEPT_SOVERSION "1.aptpkg${LIBAPT_ABI_VERSION}" )
set( APT_INCLUDES "/usr/include/" CACHE STRING "apt include path" )
set( APT_LINKDIRS "/usr/lib/" CACHE STRING "apt library path" )
set( OPT_FLAGS "-O0 -g" CACHE STRING "optimization level" )

add_subdirectory( ept )
add_subdirectory( tools )
add_subdirectory( doc )

=== debian/changelog ===
libept (1.2.1+nmu1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:47:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libept
 Section: libdevel
 Priority: optional
-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Julian Andres Klode <jak@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5),
   debhelper-compat (= 13), dh-exec, dh-buildinfo,
